package com.avg.zaap.crashlibrary.publish.cap.http;

/**
 * This exception is thrown whenever a {@link CapRequest} fails.
 *
 * Created by marek.osvald on 7.6.2016.
 */
public class CapRequestException extends Exception {

    /**
     * Default constructor.
     */
    @SuppressWarnings("unused")
    public CapRequestException() {
    }

    /**
     * Parametric constructor. Sets detail message.
     *
     * @param detailMessage detail message to be set
     */
    @SuppressWarnings("unused")
    public CapRequestException(String detailMessage) {
        super(detailMessage);
    }

    /**
     * Parametric constructor. Sets detail message and a throwable instance.
     *
     * @param detailMessage detail message to be set
     * @param throwable throwable instance to be set
     */
    @SuppressWarnings("unused")
    public CapRequestException(String detailMessage, Throwable throwable) {
        super(detailMessage, throwable);
    }

    /**
     * Parametric constructor. Sets throwable instance.
     *
     * @param throwable throwable instance to be set
     */
    @SuppressWarnings("unused")
    public CapRequestException(Throwable throwable) {
        super(throwable);
    }

}
